Package net.shibboleth.profile.config

# Interface ConditionalProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`

All Known Implementing Classes:
  `AbstractConditionalProfileConfiguration`, `MockProfileConfiguration`

public interface ConditionalProfileConfiguration extends ProfileConfiguration
A `ProfileConfiguration` supporting an activation condition.

Since:
  3.4.0

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`Predicate<ProfileRequestContext>`
`getActivationCondition()`
Get the condition controlling enablement of this profile.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

## Method Details

### getActivationCondition

@ConfigurationSetting(name="activationCondition") @Nonnull Predicate<ProfileRequestContext> getActivationCondition()
Get the condition controlling enablement of this profile.

Returns:
  condition controlling enablement of this profile